<template>
  <div class="index">
    <h3>Specials Index</h3>

    <div class="table-responsive">
      <table class="table table-striped table-sm">
        <thead>
          <tr>
            <th>Title</th>
            <th>Type</th>
            <th>Text</th>
            <th colspan="3"></th>
          </tr>
        </thead>
        <tbody>
           <tr v-for="x in filterBy(specials, filterInput)" :key="x.uuid">
            <td>{{x.title}}</td>
            <td>{{x.type}}</td>
            <td>{{x.text}}</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>

<script>
export default {
  name: 'index',
  data () {
    return {
      specials: [],
      filterInput: ''
    }
  },
  methods: {
    fetchSpecials () {
      this.$http
        .get('http://localhost:3001/specials')
        .then(function (response) {
          this.specials = response.body
        })
    },
    filterBy (list, value) {
      return list.filter(function (special) {
        return special.title.indexOf(value) > -1
      })
    }
  },
  created: function () {
    this.fetchSpecials()
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
